org.apache.solr.spelling.suggest.fst

## Class AnalyzingLookupFactory

- java.lang.Object
- - org.apache.solr.spelling.suggest.LookupFactory
  - - org.apache.solr.spelling.suggest.fst.AnalyzingLookupFactory

-     public class AnalyzingLookupFactory
      extends LookupFactory

  Factory for `AnalyzingSuggester`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EXACT_MATCH_FIRST` If `true`, exact suggestions are returned first, even if they are prefixes of other strings in the automaton (possibly with larger weights).
    `static String` | `MAX_EXPANSIONS` When building the FST ("index-time"), we add each path through the tokenstream graph as an individual entry.
    `static String` | `MAX_SURFACE_FORMS` When multiple suggestions collide to the same analyzed form, this is the limit of how many unique surface forms we keep.
    `static String` | `PRESERVE_POSITION_INCREMENTS` Whether position holes should appear in the automaton.
    `static String` | `PRESERVE_SEP` If `true`, then a separator between tokens is preserved.
    `static String` | `QUERY_ANALYZER` The analyzer used at "query-time" and "build-time" to analyze suggestions.

    - ### Fields inherited from class org.apache.solr.spelling.suggest.LookupFactory

      `DEFAULT_FILE_BASED_DICT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyzingLookupFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Lookup` | `create(NamedList params, SolrCore core)` Create a Lookup using config options in `params` and current `core`
    `String` | `storeFileName()` Returns the filename in which the in-memory data structure is stored

    - ### Methods inherited from class org.apache.solr.spelling.suggest.LookupFactory

      `getTempDir`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXACT_MATCH_FIRST

          public static final String EXACT_MATCH_FIRST

      If `true`, exact suggestions are returned first, even if they are prefixes of other strings in the automaton (possibly with larger weights).
      See Also:
        Constant Field Values

    - #### PRESERVE_SEP

          public static final String PRESERVE_SEP

      If `true`, then a separator between tokens is preserved. This means that suggestions are sensitive to tokenization (e.g. baseball is different from base ball).
      See Also:
        Constant Field Values

    - #### MAX_SURFACE_FORMS

          public static final String MAX_SURFACE_FORMS

      When multiple suggestions collide to the same analyzed form, this is the limit of how many unique surface forms we keep.
      See Also:
        Constant Field Values

    - #### MAX_EXPANSIONS

          public static final String MAX_EXPANSIONS

      When building the FST ("index-time"), we add each path through the tokenstream graph as an individual entry. This places an upper-bound on how many expansions will be added for a single suggestion.
      See Also:
        Constant Field Values

    - #### QUERY_ANALYZER

          public static final String QUERY_ANALYZER

      The analyzer used at "query-time" and "build-time" to analyze suggestions.
      See Also:
        Constant Field Values

    - #### PRESERVE_POSITION_INCREMENTS

          public static final String PRESERVE_POSITION_INCREMENTS

      Whether position holes should appear in the automaton.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AnalyzingLookupFactory

          public AnalyzingLookupFactory()

  - ### Method Detail

    - #### create

          public Lookup create(NamedList params,
                               SolrCore core)

      Description copied from class: `LookupFactory`
      Create a Lookup using config options in `params` and current `core`
      Specified by:
        `create` in class `LookupFactory`

    - #### storeFileName

          public String storeFileName()

      Description copied from class: `LookupFactory`

      Returns the filename in which the in-memory data structure is stored

      NOTE: not all `Lookup` implementations store in-memory data structures
      Specified by:
        `storeFileName` in class `LookupFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.